<?php
/**
 * Next Travel Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Next Travel Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function next_travel_pro_custom_colors_css() {
  	$options= next_travel_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	input[type="submit"],
	.reply a:hover,
	.reply a:focus,
	.btn,
	#featured-slider .btn:hover,
	#featured-slider .btn:focus,
	#featured-slider .slick-dots li.slick-active a,
	#travel-search-section,
	#featured-packages .featured-image .btn:hover,
	#featured-packages .featured-image .btn:focus,
	#popular-packages .package-offer,
	#our-gallery ul.tabs li.active,
	#our-gallery ul.tabs li:hover,
	#our-gallery .overlay-bg,
	#testimonial-section .slider-for .entry-header:before,
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	.wp-travel.trip-headline-wrapper .wp-travel-booknow-btn,
	ul.availabily-list .availabily-content .btn,
	#secondary #wp-travel-enquiry-submit,
	#colophon #wp-travel-enquiry-submit,
	.widget_wp_travel_filter_search_widget input[type="submit"],
	#secondary input[type="submit"],
	#colophon input[type="submit"],
	#secondary .wp-travel-booking-wrapper .wp-travel-booknow-btn,
	#colophon .wp-travel-booking-wrapper .wp-travel-booknow-btn,
	.ws-theme-cart-page .actions .book-now-btn,
	.wp-travel .button,
	.wp-travel-default-article .wp-travel-explore a,
	.wp-travel-toolbar .wp-travel-filter-button .btn-wp-travel-filter,
	.wp-travel-toolbar .wp-travel-post-filter .wp-travel-filter-by-heading h4,
	.wp-trave-price-range .ui-state-default, 
	.wp-trave-price-range .ui-widget-content .ui-state-default, 
	.wp-trave-price-range .ui-widget-header .ui-state-default, 
	.wp-trave-price-range .ui-button, 
	html .wp-trave-price-range .ui-button.ui-state-disabled:hover, 
	html .wp-trave-price-range .ui-button.ui-state-disabled:active,
	.second-design .btn, 
	.second-design #featured-slider .btn,
	.second-design #popular-destinations .btn,
	.second-design #top-bar { 
		background-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	a,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation a:focus,
	.main-navigation ul.nav-menu > li > a:hover,
	.main-navigation ul.nav-menu > li > a:focus,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.reply a,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.subtitle,
	.featured-content-wrapper .entry-title a:hover,
	.featured-content-wrapper .entry-title a:focus,
	#our-services .entry-title a:hover,
	#our-services .entry-title a:focus,
	#our-services .more-link:hover,
	#our-services .more-link:focus,
	.wp-travel-filter form input[type="submit"],
	#popular-destinations .entry-title a:hover,
	#popular-destinations .entry-title a:focus,
	#about-us .entry-title a:hover,
	#about-us .entry-title a:focus,
	.counter-value,
	#featured-packages .entry-title a:hover,
	#featured-packages .entry-title a:focus,
	#popular-packages .entry-title a:hover,
	#popular-packages .entry-title a:focus,
	#popular-packages .trip-price ins,
	#testimonial-section .slider-for .entry-title a:hover,
	#testimonial-section .slider-for .entry-title a:focus,
	.archive-blog-wrapper .cat-links a,
	.archive-blog-wrapper .entry-meta a:hover,
	.archive-blog-wrapper .entry-meta a:focus,
	.archive-blog-wrapper .entry-title a:hover,
	.archive-blog-wrapper .entry-title a:focus,
	.wp-travel-archive-content .description-left .entry-title a:hover,
	.wp-travel-archive-content .description-left .entry-title a:focus,
	.wp-travel-itinerary-items .wp-travel-post-item-wrapper .post-title a:hover,
	.wp-travel-itinerary-items .wp-travel-post-item-wrapper .post-title a:focus,
	.ws-theme-cart-page .ws-theme-cart-list .item_cart h4 a:hover,
	.ws-theme-cart-page .ws-theme-cart-list .item_cart h4 a:focus,
	.single-wrapper .entry-meta span a:hover, 
	.single-wrapper .entry-meta span a:focus,
	.single-wrapper .cat-links a,
	.single-wrapper .entry-meta span.byline a.fn:hover,
	.single-wrapper .entry-meta span.byline a.fn:focus,
	.single-wrapper .entry-meta > span a:hover,
	.single-wrapper .entry-meta > span a:focus,
	ul.post-categories li a,
	#colophon a:hover,
	#colophon a:focus,
	#colophon .site-info a,
	.wp-travel-tab-wrapper .tab-list.resp-tabs-list li.resp-tab-active,
	.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:hover,
	.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:focus,
	#secondary .wp-detail-review-wrap .trip-price ins,
	#colophon .wp-detail-review-wrap .trip-price ins,
	.description-right ins span,
	.wp-travel-itinerary-items .wp-travel-post-wrap-bg .trip-price ins span,
	.wp-travel-toolbar .wp-travel-view-mode-lists li a,
	.widget_wp_travel_filter_search_widget #amount,
	.wp-trave-price-range .ui-widget.ui-widget-content,
	.wp-trave-price-range .ui-state-default, 
	.wp-trave-price-range .ui-widget-content .ui-state-default, 
	.wp-trave-price-range .ui-widget-header .ui-state-default, 
	.wp-trave-price-range .ui-button, 
	html .wp-trave-price-range .ui-button.ui-state-disabled:hover, 
	html .wp-trave-price-range .ui-button.ui-state-disabled:active,
	.entry-meta a, 
	.entry-meta i {
		color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.widget_wp_travel_filter_search_widget #amount { 
		color: ' . esc_attr($color_value) . ' !important; 
	}';

	$css .= '
	.loader-container svg,
	#top-bar .contact-info svg,
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.video-link svg,
	#our-services .more-link:hover svg,
	#our-services .more-link:focus svg,
	#popular-packages .entry-meta svg,
	.main-navigation li.search-menu a:hover svg, 
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	.second-design.lite-version .main-navigation ul#primary-menu li:hover > a svg { 
		fill: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.reply a,
	#featured-slider .slick-dots li.slick-active a,
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	.wp-trave-price-range .ui-state-default, 
	.wp-trave-price-range .ui-widget-content .ui-state-default, 
	.wp-trave-price-range .ui-widget-header .ui-state-default, 
	.wp-trave-price-range .ui-button, 
	html .wp-trave-price-range .ui-button.ui-state-disabled:hover, 
	html .wp-trave-price-range .ui-button.ui-state-disabled:active { 
		border-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	@media screen and (min-width: 1024px) {
	    .main-navigation ul#primary-menu ul li.current-menu-item > a,
	    .main-navigation ul#primary-menu ul li:hover > a,
	    .main-navigation ul#primary-menu ul li:focus > a {
	        color: ' . esc_attr($color_value) . '; 
	    }
	    .main-navigation ul ul li.menu-item-has-children:hover > a > svg, 
	    .main-navigation ul ul li.menu-item-has-children > a:hover > svg {
	        fill: ' . esc_attr($color_value) . '; 
	    }
	    #search:before {
	        border-bottom-color: ' . esc_attr($color_value) . '; 
	    }
	    .main-navigation form.search-form {
	        border-color: ' . esc_attr($color_value) . '; 
	    }
	    #popular-destinations article:hover .btn {
	        background-color: ' . esc_attr($color_value) . '; 
	    }
	}';

	$css .= '
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Next Travel Pro custom colors CSS.
	 *
	 * @since Next Travel Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'next_travel_pro_custom_colors_css', $css );
}
