<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Next Travel Pro
 * @since Next Travel Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'next_travel_pro_layout', array(
	'title'               => esc_html__('Layout','next-travel-pro'),
	'description'         => esc_html__( 'Layout section options.', 'next-travel-pro' ),
	'panel'               => 'next_travel_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[site_layout]', array(
	'sanitize_callback'   => 'next_travel_pro_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control(  new Next_Travel_Pro_Custom_Radio_Image_Control ( $wp_customize, 'next_travel_pro_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'next-travel-pro' ),
	'section'             => 'next_travel_pro_layout',
	'choices'			  => next_travel_pro_site_layout(),
) ) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'next_travel_pro_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control(  new Next_Travel_Pro_Custom_Radio_Image_Control ( $wp_customize, 'next_travel_pro_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Global Sidebar Position', 'next-travel-pro' ),
	'section'             => 'next_travel_pro_layout',
	'choices'			  => next_travel_pro_global_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'next_travel_pro_sanitize_select',
	'default'             => $options['post_sidebar_position'],
) );

$wp_customize->add_control(  new Next_Travel_Pro_Custom_Radio_Image_Control ( $wp_customize, 'next_travel_pro_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'next-travel-pro' ),
	'section'             => 'next_travel_pro_layout',
	'choices'			  => next_travel_pro_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'next_travel_pro_sanitize_select',
	'default'             => $options['page_sidebar_position'],
) );

$wp_customize->add_control( new Next_Travel_Pro_Custom_Radio_Image_Control( $wp_customize, 'next_travel_pro_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'next-travel-pro' ),
	'section'             => 'next_travel_pro_layout',
	'choices'			  => next_travel_pro_sidebar_position(),
) ) );