<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage Next Travel Pro
 * @since Next Travel Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'next_travel_pro_sortable', array(
	'title'               => esc_html__('Homepage Sortable','next-travel-pro'),
	'description'         => esc_html__( 'Homepage Sortable options.', 'next-travel-pro' ),
	'panel'               => 'next_travel_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'next_travel_pro_theme_options[sortable]', array(
	'default'			  => $options['sortable'],
	'sanitize_callback'   => 'next_travel_pro_sanitize_sortable',
) );

$wp_customize->add_control( new Next_Travel_Pro_Customize_Sortable_Control ( $wp_customize, 'next_travel_pro_theme_options[sortable]', array(
	'label'               => esc_html__( 'Sortable Homepage', 'next-travel-pro' ),
	'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'next-travel-pro' ),
	'section'             => 'next_travel_pro_sortable',
	'type'                => 'sortable',
	'choices'			  => next_travel_pro_sortable_sections(),
) ) );